Summary:	SELinux binary policy manipulation library
Summary(pl.UTF-8):	Biblioteka do obróbki polityk SELinuksa w postaci binarnej
Name:		libsepol
Version:	3.6
Release:	1%{?tld}
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/SELinuxProject/selinux/wiki/Releases
Source0:	https://github.com/SELinuxProject/selinux/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e0c71bc448cffada3406cc9a7ad7ea2c
URL:		https://github.com/SELinuxProject/selinux/wiki
BuildRequires:	flex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number of
utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary
policies. It is used by checkpolicy (the policy compiler) and similar
tools, as well as by programs like load_policy that need to perform
specific transformations on binary policies such as customizing policy
boolean settings.

%description -l pl.UTF-8
Security-enhanced Linux jest prototypem jądra Linuksa i wielu
aplikacji użytkowych o funkcjach podwyższonego bezpieczeństwa.
Zaprojektowany jest tak, aby w prosty sposób ukazać znaczenie
obowiązkowej kontroli dostępu dla społeczności linuksowej. Ukazuje
również jak taką kontrolę można dodać do istniejącego systemu typu
Linux. Jądro SELinux zawiera nowe składniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczeństwa systemu operacyjnego
Flask. Te elementy zapewniają ogólne wsparcie we wdrażaniu wielu typów
polityk obowiązkowej kontroli dostępu, włączając te wzorowane na: Type
Enforcement (TE), kontroli dostępu opartej na rolach (RBAC) i
zabezpieczeniach wielopoziomowych.

libsepol dostarcza API do obróbki polityk SELinuksa w postaci
binarnej. Jest używane przez checkpolicy (kompilator polityk) i
podobne narzędzia, a także przez programy w rodzaju load_policy,
potrzebne do wykonywania określonych przekształceń na binarnych
politykach, takich jak dostosowywanie logicznych ustawień polityki.

%package devel
Summary:	Header files used to build policy manipulation tools
Summary(pl.UTF-8):	Pliki nagłówkowe do budowania narzędzi obrabiających politykę
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files needed for developing
applications that manipulate binary policies.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia aplikacji
obrabiających binarne polityki.

%package static
Summary:	Static version of libsepol library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libsepol
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libsepol library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libsepol.

%package utils
Summary:	libsepol utilitites
Summary(pl.UTF-8):	Narzędzia dla libsepol
Group:		Application/System
Requires:	%{name} = %{version}-%{release}

%description utils
libsepol utilitites.

%description utils -l pl.UTF-8
Narzędzia dla libsepol.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir} \
	SHLIBDIR=/%{_lib}

# make symlink across / absolute
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libsepol.so.*) \
	$RPM_BUILD_ROOT%{_libdir}/libsepol.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libsepol.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsepol.so
%{_pkgconfigdir}/libsepol.pc
%{_includedir}/sepol
%{_mandir}/man3/sepol_*.3*
%{_mandir}/man8/genpolbools.8*
%{_mandir}/man8/genpolusers.8*

%files static
%defattr(644,root,root,755)
%{_libdir}/libsepol.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chkcon
%attr(755,root,root) %{_bindir}/sepol_check_access
%attr(755,root,root) %{_bindir}/sepol_compute_av
%attr(755,root,root) %{_bindir}/sepol_compute_member
%attr(755,root,root) %{_bindir}/sepol_compute_relabel
%attr(755,root,root) %{_bindir}/sepol_validate_transition
%{_mandir}/man8/chkcon.8*
%changelog
* Tue Apr 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libsepol.git;a=log;h=master

* Tue Jan 09 2024 Jan Palus <atler@pld-linux.org> 73a5ff4
- up to 3.6 (new soname)

* Sun Nov 15 2020 Jan Palus <atler@pld-linux.org> 6bfb181
- up to 3.1

* Mon Apr 20 2020 Jan Palus <atler@pld-linux.org> a77ecd4
- BR: flex

* Tue Aug 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 932827f
- package ru man page

* Wed Aug 21 2019 Marcin Krol <hawk@tld-linux.org> a366db2
- updated to 2.9

* Fri Jun 08 2018 Jakub Bogusz <qboosh@pld-linux.org> dbc22b7
- updated to 2.8

* Wed Nov 15 2017 Jakub Bogusz <qboosh@pld-linux.org> 35d3e5c
- updated to 2.7

* Sat Feb 25 2017 Jan Rękorajski <baggins@pld-linux.org> b74f30d
- up to 2.6

* Fri Oct 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 85a0b93
- updated to 2.5

* Sun Oct 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 35de5ad
- new URLs, updated to 2.4

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b265546
- x32 rebuild
- release 2 (by relup.sh)

* Mon Jun 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 36e5cca
- updated to 2.3

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 8c2d89c
- updated to 2.2

* Tue Sep 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8be865f
- up to 2.1.9

* Wed May 23 2012 Jan Rękorajski <baggins@pld-linux.org> 9f89f9a
- 2.1.4

* Sat Sep 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e1cf1a3
- use rpmcppflags, too

* Sat Sep 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 63c2099
- up to 2.1.0

* Wed Jan 20 2010 amateja <amateja@pld-linux.org> 20b0dd8
- updated to 2.0.41

* Tue Sep 08 2009 amateja <amateja@pld-linux.org> bcc3d77
- updated to 2.0.38

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> 45207c1
- updated to 2.0.37

